Skip to main content
POST
/
tool
/
{tool_id}
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"

response = client.tools.get(tool_id)
print(response)
{
  "_id": "69f98c2185578cdac8d33014",
  "tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e7",
  "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
  "type": "apiRequest",
  "createdAt": "2026-05-05T06:20:17.548000",
  "updatedAt": "2026-05-05T06:20:17.548000",
  "method": "GET",
  "url": "https://www.google.com",
  "name": "New Tool",
  "description": "new",
  "timeoutSeconds": 20,
  "body": {},
  "headers": {},
  "messages": [],
  "backoffPlan": {
    "type": "fixed",
    "maxRetries": 0,
    "baseDelaySeconds": 1,
    "excludedStatusCodes": [
      400,
      401,
      403,
      404
    ]
  },
  "variableExtractionPlan": null,
  "rejectionPlan": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Path Parameters

tool_id
string
default:0a425650-60ac-4fd4-9554-5579844ce3e5
required

Tool ID

Example:

"0a425650-60ac-4fd4-9554-5579844ce3e5"

Response

Tool details

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.